Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 597445 - Fix error on C++ application calling exec
Fix error on C++ application calling exec
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gdb (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Jan Kratochvil
Petr Muller
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-28 20:10 EDT by Jan Kratochvil
Modified: 2016-09-19 22:06 EDT (History)
4 users (show)

See Also:
Fixed In Version: gdb-7.1-24.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 15:26:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Kratochvil 2010-05-28 20:10:03 EDT
Description of problem:
C++ (libstdc++ linked) application on system with libstdc++ (=gcc) debuginfo installed calling exec() will stop on error.
This is an Archer branch [next-over-throw] regression.
It has been bugreported by Martin Stransky while debugging Firefox.

Version-Release number of selected component (if applicable):
gdb-7.1-21.el6

How reproducible:
Always.

Steps to Reproduce:
#include <unistd.h>
int
main ()
{
  execl ("/bin/true", "true", NULL);
  return 0;
}
debuginfo-install gcc
g++ -o exec exec.c
gdb -q -ex r ./exec

Actual results:
Cannot access memory at address 0x7ffff764ab60

Expected results:
Program exited normally.

Additional info:
http://cvs.fedoraproject.org/viewvc/rpms/gdb/F-12/gdb-archer-next-over-throw-cxx-exec.patch?content-type=text%2Fplain&view=co

devel_ack:
Safe fix.

qa_ack:
New testcase: gdb.cp/cxxexec.exp
Comment 1 RHEL Product and Program Management 2010-05-28 20:15:22 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Petr Muller 2010-08-03 10:50:24 EDT
# runtest --tool=gdb gdb.cp/cxxexec.exp
(...)
                === gdb Summary ===

# of expected passes            3
Comment 4 releng-rhel@redhat.com 2010-11-10 15:26:41 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.